Skip to content

Events Log

GET
/notebooks/{Instance_id}/events/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/events/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Returns the events and details that the cluster holds for the Instance’s or Virtual Machine’s pod. Use it to debug startup failures. When the pod’s details cannot be read, the request is refused with “error in getting pod details”.

Instance_id
required
integer

Instance ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Lifecycle events log for an Instance or Virtual Machine

Media typeapplication/json
object
code
integer
data
object
pod_events

The pod’s events from the cluster.

Array<object>
object
pod_info

The pod’s details from the cluster.

object

Example

{
"code": 200
}